<?xml version="1.0" encoding="ISO-8859-1"?>
 
<xsl:stylesheet version="1.0" 
                xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
                xmlns:gdv="http://www.gdv.de/2003/GdvmlSchema/Antrag/Leben">

 <!-- Dieses Stylesheet erzeugt eine HTML-Darstellung eines GdvmlAntragLeben-Dokuments
       -->

 <xsl:output method="html" encoding="ISO-8859-1" standalone="yes" indent="no"/>

 <xsl:template match="/">
  <html>
   <head>
    <title>Meldung zu einem Gdvml-Antrag der Sparte Leben</title>
    <link rel="stylesheet" type="text/css" href="AntragLeben.css"/>
   </head>
   <body>
    <xsl:apply-templates>
     <xsl:with-param name="level" select="1"/>
    </xsl:apply-templates>
   </body>
  </html>
 </xsl:template>

<!-- style="margin-left: {$level}cm;" -->

 <xsl:template match="*[namespace-uri() = 'http://www.gdv.de/2003/GdvmlSchema/Antrag/Leben' and count(.//*) != 0]">
  <xsl:param name="level"/>
  <table class="Rahmen">
   <tr><td class="h{$level}"><xsl:value-of select="local-name()"/></td></tr>
   <tr>
    <td class="einruecken">
     <xsl:apply-templates select="*[namespace-uri(./*) = 'http://www.gdv.de/2003/GdvmlSchema/Antrag/Leben' and count(.//*) != 0]">
      <xsl:with-param name="level" select="$level + 1"/>
     </xsl:apply-templates>
     <xsl:if test="*[count(.//*) = 0]">
      <table>
       <xsl:apply-templates select="*[count(.//*) = 0]"/>
      </table>
     </xsl:if>
     <xsl:apply-templates select="*[namespace-uri(./*) != 'http://www.gdv.de/2003/GdvmlSchema/Antrag/Leben' and count(.//*) != 0]">
      <xsl:with-param name="level" select="$level + 1"/>
     </xsl:apply-templates>
    </td>
   </tr> 
  </table> 
 </xsl:template>

 <xsl:template match="*[namespace-uri() = 'http://www.gdv.de/2003/GdvmlSchema/Antrag/Leben' and count(.//*) = 0]">
  <xsl:variable name="name" select="local-name()"/>
  <xsl:variable name="wert" select="."/>
<!--xsl:message terminate="no"><xsl:value-of select="$name"/></xsl:message-->
  <tr>
   <td class="Name"><xsl:value-of select="$name"/></td>
   <td class="Wert"><xsl:value-of select="$wert"/></td>
   <xsl:variable name="wertetabelle" select="document('../GdvmlAntragLeben-Wertetabellen.xml')/gdv:Wertetabellen/gdv:Mappings/gdv:Mapping[@name = string($name)]/@wertetabelle"/>
<!--xsl:message terminate="no"><xsl:value-of select="$wertetabelle"/></xsl:message-->
   <xsl:variable name="text" select="document('../GdvmlAntragLeben-Wertetabellen.xml')/gdv:Wertetabellen/gdv:Wertetabelle[@name = $wertetabelle]/gdv:Text[@wert = $wert]"/>
<!--xsl:message terminate="no"><xsl:value-of select="$text"/></xsl:message-->
   <xsl:if test="$text">
    <td class="Wert"><xsl:value-of select="$text"/></td>
   </xsl:if>
  </tr>
 </xsl:template>

 <xsl:template match="*[namespace-uri() != 'http://www.gdv.de/2003/GdvmlSchema/Antrag/Leben' and count(.//*) != 0]">
  <xsl:param name="level"/>        
  <table class="Rahmen-PSF"> 
   <tr>      
    <td>        
     <table>                      
      <tr>                            
       <td class="Name-PSF"><xsl:value-of select="local-name()"/></td>                          
       <td class="Name-PSF"><xsl:value-of select="@feldidentifikationKlartext"/></td>
       <td class="Wert"><xsl:value-of select="@wert"/></td>
      </tr>                           
     </table>                     
    </td>
   </tr>                            
   <tr>                            
    <td class="einruecken">        
     <xsl:apply-templates select="*[namespace-uri(./*) = 'http://www.gdv.de/2003/GdvmlSchema/Antrag/Leben' and count(.//*) != 0]">
      <xsl:with-param name="level" select="$level + 1"/>
     </xsl:apply-templates>        
     <xsl:if test="*[count(.//*) = 0]">
      <table>                      
       <xsl:apply-templates select="*[count(.//*) = 0]"/>
      </table>                     
     </xsl:if>                     
     <xsl:apply-templates select="*[namespace-uri(./*) != 'http://www.gdv.de/2003/GdvmlSchema/Antrag/Leben' and count(.//*) != 0]">
      <xsl:with-param name="level" select="$level + 1"/>
     </xsl:apply-templates>        
    </td>
   </tr> 
  </table> 
 </xsl:template>

 <xsl:template match="*[namespace-uri() != 'http://www.gdv.de/2003/GdvmlSchema/Antrag/Leben' and count(.//*) = 0]">
  <tr>
   <td class="Name-PSF"><xsl:value-of select="local-name()"/></td>
   <td class="Name-PSF"><xsl:value-of select="@feldidentifikationKlartext"/></td>
   <td class="Wert"><xsl:value-of select="@wert"/></td>
  </tr>
 </xsl:template>

</xsl:stylesheet>
