<?xml version="1.0" encoding="ISO-8859-1"?>
 
<xsl:stylesheet version="1.0" 
                xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
                xmlns:xsd="http://www.w3.org/2001/XMLSchema"
                xmlns:gdv="http://www.gdv.de/2003/GdvmlSchema/Antrag/Leben">

 <xsl:output method="xml" encoding="ISO-8859-1" standalone="yes" indent="yes"/>

 <xsl:template match="/">
  <xsl:comment>
    GdvmlAntragLeben-Wertetabellen
    ******************************
    
    ********************************************************
    * Diese Datei ist aus dem XML-Schema generiert worden. *
    ********************************************************
    
    Sie enthlt die Wertetabellen der XML-Definition fr GdvmlAntragLeben

  </xsl:comment>
     
  <gdv:Wertetabellen>

   <gdv:Mappings>
    <xsl:for-each select="/xsd:schema/xsd:complexType//xsd:element[starts-with(@type, 'gdv:ET-')]">
     <!--xsl:message terminate="no">Element <xsl:value-of select="@name"/></xsl:message-->
     <xsl:variable name="Name" select="@name"/>
     <xsl:variable name="Type" select="@type"/>
     <xsl:for-each select="/xsd:schema/xsd:simpleType[@name = substring-after($Type, 'gdv:') and xsd:restriction/xsd:enumeration]">
      <!--xsl:message terminate="no">simpleType <xsl:value-of select="@name"/></xsl:message-->
      <gdv:Mapping>
       <xsl:attribute name="name"><xsl:value-of select="$Name"/></xsl:attribute>
       <xsl:attribute name="wertetabelle"><xsl:value-of select="$Type"/></xsl:attribute>
      </gdv:Mapping> 
     </xsl:for-each>
    </xsl:for-each>
   </gdv:Mappings>

   <xsl:for-each select="/xsd:schema/xsd:simpleType[xsd:restriction/xsd:enumeration]">
    <gdv:Wertetabelle>
     <xsl:attribute name="name">gdv:<xsl:value-of select="@name"/></xsl:attribute>
     <xsl:for-each select="xsd:restriction/xsd:enumeration">
      <gdv:Text>
       <xsl:attribute name="wert"><xsl:value-of select="@value"/></xsl:attribute>
       <xsl:value-of select="xsd:annotation/xsd:documentation"/>
      </gdv:Text> 
     </xsl:for-each>
    </gdv:Wertetabelle>
   </xsl:for-each>
  </gdv:Wertetabellen>

 </xsl:template>

</xsl:stylesheet>
